Subject: iSCSI: protocol errors

From: "Eddy Quicksall" <[email-masked]>
Date: Wed, 5 Sep 2001 10:52:39 -0400

There is at least one place where a protocol error is mentioned but it
doesn't say what to do and there are lots of places where one can
rationalize a protocol error.

I think we should document what to do when a "protocol error" occurs for
each case mentioned and for the general case not mentioned (at least for the
initiator because it can't use the reject command).

For example, in section 1.2.1 of EMAIL: "iSCSI - bookmarks change", it says
"A text response with the F bit set to 1 in response to a text command with
the F bit set to 0 is a protocol error" but it doesn't say what to do about
it.

Or, if a target sends a header with a bad OpCode, should it close the
session or should it just close the connection? These kinds of questions
come up all over the place.

Section 7.10 gives the option of closing down the session and starting a new
one. Maybe we should just not give the option but make it mandatory.

[email-masked]